Bug 1073871 - zoneminder bundles jscalendar
zoneminder bundles jscalendar
Product: Fedora
Classification: Fedora
Component: zoneminder (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Charles R. Anderson
Fedora Extras Quality Assurance
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
Reported: 2014-03-07 06:43 EST by Dominik 'Rathann' Mierzejewski
Modified: 2016-07-19 07:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-19 07:06:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2014-03-07 06:43:57 EST
Description of problem:
Zoneminder package bundles jscalendar:

Source5:    http://downloads.sourceforge.net/jscalendar/jscalendar-1.0.zip
# Install jscalendar - this really should be in its own package
install -d -m 755 %{buildroot}/%{_datadir}/%{name}/www/jscalendar
cp -rp jscalendar-1.0/* %{buildroot}/%{_datadir}/zoneminder/www/jscalendar

Version-Release number of selected component (if applicable):

Additional info:
This seems to be bundled in phpldapadmin as well (bug 513890).
Comment 1 Jason Tibbitts 2014-03-07 10:33:01 EST
If course you know that javascript is not covered under the bundling guidelines.  If there were a separate jscalendar package I would probably tweak things to use it, but there isn't, so....  I'm not sure why this bug was filed and am tempted to close it.
Comment 2 Dominik 'Rathann' Mierzejewski 2014-03-09 20:28:43 EDT
I think you are referring to this passage (https://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries):

"At this time JavaScript intended to be served to a web browser on another computer is specifically exempted from this but this will likely change in the future."

Is jscalendar a library intended for remote consumption or actually a separate application?

However, this applies only to libraries, so I think https://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_of_multiple_projects still applies.
Comment 3 Jason Tibbitts 2014-03-10 15:18:42 EDT
It's just a javascript file that's served out over the web, used to implement date selection.  It is entirely exempted from the guidelines on bundling at the current time, and I'm not really sure how you could arrive at a different conclusion.  In any case, as I wrote earlier, if there was a separate jscalendar package I'd tweak zoneminder to just symlink to it or something, but we'd actually need guidelines for packaging javascript in a manner able to be used in that way, and we don't have them.
Comment 4 Jaroslav Reznik 2015-03-03 10:33:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
Comment 5 Fedora Admin XMLRPC Client 2015-04-07 18:21:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2015-05-05 10:52:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2016-07-19 07:06:52 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.